# Uses of Interface
org.jfree.chart3d.table.TableElementVisitor

Packages that use TableElementVisitor
Package
Description
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of TableElementVisitor in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend with parameters of type TableElementVisitor
Modifier and Type
Method
Description
`void`
ColorScaleElement.`receive(TableElementVisitor visitor)`
Receives a visitor.

## Uses of TableElementVisitor in org.jfree.chart3d.table

Classes in org.jfree.chart3d.table that implement TableElementVisitor
Modifier and Type
Class
Description
`class`
`TableElementStyler`
A table element visitor that applies style changes.
Methods in org.jfree.chart3d.table with parameters of type TableElementVisitor
Modifier and Type
Method
Description
`void`
FlowElement.`receive(TableElementVisitor visitor)`
Receives a visitor.
`void`
GridElement.`receive(TableElementVisitor visitor)`
Receives a visitor by calling the visitor's `visit()` method for each of the children in the grid, and finally for the grid itself.
`void`
ShapeElement.`receive(TableElementVisitor visitor)`
Receives a visitor.
`void`
TableElement.`receive(TableElementVisitor visitor)`
Receives a `TableElementVisitor`.
`void`
TextElement.`receive(TableElementVisitor visitor)`
Receives a visitor.
`void`
VerticalFlowElement.`receive(TableElementVisitor visitor)`
Receives a `TableElementVisitor` (the visitor will be received by all the elements in the flow).